MODBUS_WRITE_REGISTE(3)

NAME
modbus_write_registers - write many registers

SYNOPSIS

int modbus_write_registers(modbus_t *ctx, int addr, int nb, const uint16_t *src);

DESCRIPTION

The modbus_write_registers() function shall write the content of the nb holding registers from the array src at address addr of the remote device.

The function uses the Modbus function code 0x10 (preset multiple registers).

RETURN VALUE

The modbus_write_registers() function shall return the number of written registers if successful. Otherwise it shall return -1 and set errno.

SEE ALSO

modbus_write_register(3) modbus_read_registers(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com